Subject: Re: [External] : Re: bug#59937: 28.2; Bad defcustom behavior

From: Mauro Aranda <[email-masked]>
Date: Mon, 17 Jul 2023 13:21:34 -0300

Drew Adams <[email-masked]> writes:

 >> As I said in
 >> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59937*26
 >> I was looking for a way to:
 >> 1. Being able to create the restricted-sexp widget, even if the default
 >> value for it isn't valid.
 >> 2. Being able to do it without prompting the user.
 >>
 >> That's what the attached patch does.  AFAIU, we both agreed that that
 >> approach was a good enough fix for this bug, so that the behavior of
 >> certain defcustoms is less confusing.  We didn't really agree back then
 >> about the warning, and I'm guessing that we still disagree on that, so I
 >> didn't change anything about the warning.
 >
 > Thanks, Mauro.  I don't have the time now to
 > check the result, but I have no problem at all
 > with whatever fix you implemented.  If later
 > (probably much later) I find something I think
 > could be improved more in this regard, I'll
 > file a new enhancement/bug request.
 >
 > Thx!

Ok, thank you.  I'll wait for a few days in case someone wants to chime
in, and then I'll install the fix if there are no objections.